# Enum Class SimpleFileServer.OutputLevel

java.lang.Object
java.lang.Enum<SimpleFileServer.OutputLevel>
com.sun.net.httpserver.SimpleFileServer.OutputLevel

All Implemented Interfaces:
  `Serializable, Comparable<SimpleFileServer.OutputLevel>, Constable`

Enclosing class:
  `SimpleFileServer`

public static enum SimpleFileServer.OutputLevel extends Enum<SimpleFileServer.OutputLevel>
Describes the log message output level produced by the server when processing exchanges.

Since:
  18

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INFO`
Used to specify the informative log message output level.
`NONE`
Used to specify no log message output level.
`VERBOSE`
Used to specify the verbose log message output level.

## Method Summary

Modifier and Type
Method
Description
`static SimpleFileServer.OutputLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SimpleFileServer.OutputLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final SimpleFileServer.OutputLevel NONE
Used to specify no log message output level.

### INFO

public static final SimpleFileServer.OutputLevel INFO
Used to specify the informative log message output level.

The log message format is based on the Common Logfile Format, that includes the following information about an `HttpExchange`:

`remotehost rfc931 authuser [date] "request" status bytes`

Example:

       127.0.0.1 - - [22/Jun/2000:13:55:36 -0700] "GET /example.txt HTTP/1.1" 200 -

Implementation Note:
  The fields `rfc931`, `authuser` and `bytes` are not captured in the implementation, so are always represented as `'-'`.

### VERBOSE

public static final SimpleFileServer.OutputLevel VERBOSE
Used to specify the verbose log message output level.

Additional to the information provided by the info level, the verbose level includes the request and response headers of the `HttpExchange` and the absolute path of the resource served up.

## Method Details

### values

public static SimpleFileServer.OutputLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SimpleFileServer.OutputLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null